import { OnInit, OnChanges, AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { CanvasManagerService } from './../services/canvas-manager.service';
import { fabric } from 'fabric';
import { TranslateService } from '@ngx-translate/core';
import { ActionSheetController } from '@ionic/angular';
export declare class MobileSketchToolComponent implements OnInit, OnChanges, AfterViewInit, OnDestroy {
    actionSheetCtrl: ActionSheetController;
    private canvasManagerService;
    private translate;
    element: any;
    fillColor: string;
    strokeColor: string;
    isCropping: boolean;
    isUndoAvailable: boolean;
    isSelectingColor: boolean;
    isDrawing: boolean;
    isPanning: boolean;
    imageData: string;
    loadedJson: string;
    pictogramsPath: string;
    pictograms: [string];
    canvas: EventEmitter<fabric.Canvas>;
    private isLoaded;
    private previousImageData;
    private currentJson;
    private previousJson;
    constructor(actionSheetCtrl: ActionSheetController, canvasManagerService: CanvasManagerService, translate: TranslateService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    readonly hasPictograms: boolean;
    addText(): void;
    addShape(shape: string): void;
    addImage(source: string): void;
    changeStrokeColor(): void;
    bringFoward(): void;
    sendToBack(): void;
    crop(): void;
    private disableCroppping;
    deleteSelection(): void;
    mouseUp(): void;
    mouseMove(event: any): void;
    mouseDown(event: any): void;
    pinch(event: any): void;
    group(): void;
    undo(): void;
    onColorClicked(): void;
    onMoveClicked(): void;
    private disablePanning;
    private disableAllStates;
    stopPanning(): void;
    setColor(color: string): void;
    draw(): void;
    private disableDrawing;
    private translateShapeButtonsText;
    presentShapeActionSheet(): Promise<void>;
    private translateEditButtonsText;
    presentEditActionSheet(): Promise<void>;
    presentPictogramsActionSheet(): Promise<void>;
    emitCanvas(): void;
}
