import { AvailableGeometricShape } from './../constants/available-geometric-shapes';
export declare class CanvasManagerService {
    canvas: any;
    left: any;
    private cropRectangle;
    private mousePosition;
    private lastPanPosition;
    private canvasId;
    constructor();
    readonly canvasObjects: any;
    readonly canvasBackgroundImage: any;
    readonly activeObject: any;
    readonly activeGroup: any;
    readonly divCanvasContainer: Element;
    createCanvas(canvasId: string): void;
    emptyCanvas(): void;
    loadNewImage(backgroundImageURL?: string): void;
    renderCanvas(): void;
    addGeometricShape(strokeColor: string, fillColor: string, shape: AvailableGeometricShape): void;
    private addRectangle;
    private addCircle;
    private addTriangle;
    private addHorizontalLine;
    private createHorizontalLine;
    private createVerticalLine;
    private addCross;
    toggleFreeDrawing(): void;
    setFreeDrawingBrushColor(color: string): void;
    private setFreeDrawingBrushWidthFromZoom;
    addText(color: string, inputText: string): void;
    addImage(imageURL: string): Promise<void>;
    setBackgroundFromURL(backgroundImageURL: string): Promise<void>;
    private computeScaleFactor;
    onOrientationChange(): void;
    changeSelectedObjectsFillColor(color: string): void;
    changeSelectedObjectsStrokeColor(color: string): void;
    deleteSelectedObjects(): void;
    bringSelectedObjectsToFront(): void;
    sendSelectedObjectsToBack(): void;
    jsonFromCanvas(): JSON;
    loadfromJson(json: JSON): Promise<void>;
    adjustCanvas(json: JSON): void;
    exportImageAsDataURL(): string;
    selectItem(itemNumber: number): void;
    getIndexOf(activeObject: any): number;
    private markSelectedObjectsDirty;
    addSelectionRectangle(): void;
    ajustCropRectangleFromMouse(event: MouseEvent): boolean;
    startSelectingCropRectangleFromMouse(event: MouseEvent): void;
    cropImage(): void;
    enableSlection(): void;
    ajustCropRectangle(event: any): boolean;
    startSelectingCropRectangle(event: any): void;
    disableSelection(): void;
    private moveAllObjectsInCanvas;
    groupSelectedObjects(): void;
    setLastPanPosition(event: any): void;
    panCanvas(event: any): void;
    private preventPanOutsideCanvas;
    zoom(event: any): void;
    private setCanvasSize;
    resetZoom(): void;
}
